﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("_BUYERScript")
@Html.Partial("_Buyer_Pop_Up")

<div class="content">
    <table style="width: 100%">
        <tr>
            <td style="width: 7%">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Buyer Code";
                    label.Width = 130;
                }).GetHtml()
            </td>
            <td style="width: 10%" align="left">
               @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_BUYER_CD";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 20;
                }).GetHtml()
            </td>
            <td style="width: 8%">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Buyer Name";
                    label.Width = 150;
                }).GetHtml()
            </td>           
            <td style="width: 35%">
               @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_BUYER_NAME";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 350;
                    settings.Properties.MaxLength = 50;
                }).GetHtml()
            </td>   
            <td colspan="2" align="right" style="width: 40%">
                @Html.DevExpress().Button(
                 edtSetting =>
                 {
                     edtSetting.Name = "cmdSearch";
                     edtSetting.Text = "Search";
                     edtSetting.Width = 100;
                     edtSetting.ClientSideEvents.Click = "OnSearch";
                     edtSetting.Style.Add("display", "inline-table");
                     edtSetting.UseSubmitBehavior = true;
                     //di nonaktifin dulu untuk direct login
                     edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("BUYER", "FTR-SPEX-53-01", "SEARCH");
                     //edtSetting.ClientSideEvents.Init = "InitData";
                 }
                 ).GetHtml()
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdClear";
                    edtSetting.Width = 100;
                    edtSetting.Text = "Clear";
                    edtSetting.ClientSideEvents.Click = "OnClear";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("BUYER", "FTR-SPEX-53-01", "CLEAR");
                   // edtSetting.ClientSideEvents.Init = "InitData";
                }).GetHtml()
            </td>
        </tr>
         <tr>
            <td colspan="19">
                <hr />
            </td>
        </tr>
        <tr>
              <td colspan="6" align="right">
                @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdAdd";
                    Button.Text = "Add";
                    Button.Width = 100;
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "AddData";
                    //Button.ClientSideEvents.Init = "InitData";
                    Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("Buyer", "FTR-SPEX-53-01", "ADD");
                 
                }).GetHtml()
               @* @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdEdit";
                    Button.Text = "Edit";
                    Button.Width = 75;
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "EditData";
                    //Button.ClientSideEvents.Init = "InitData";
                    Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("Buyer", "FTR-SPEX-53-01", "EDIT");
                 
                }).GetHtml()*@
                @Html.DevExpress().Button(Button =>
                   {
                       Button.Name = "cmdDelete";
                       Button.Text = "Delete";
                       Button.Width = 100;
                       Button.Style.Add("display", "inline-table");
                       Button.ClientSideEvents.Click = "DeleteData";
                       Button.UseSubmitBehavior = true; ;
                      // Button.ClientSideEvents.Init = "InitData";
                       Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("Buyer", "FTR-SPEX-53-01", "DELETE DATA");
                 
                   }).GetHtml()                
            </td>
        </tr>
    </table>
</div>

<div class="content">
 @Html.Partial("_BUYERGrid")
</div>
